diff -Nru dcmtk-3.6.7/debian/changelog dcmtk-3.6.7/debian/changelog
--- dcmtk-3.6.7/debian/changelog	2024-02-28 02:17:02.000000000 +0100
+++ dcmtk-3.6.7/debian/changelog	2024-03-19 11:08:29.000000000 +0100
@@ -1,3 +1,13 @@
+dcmtk (3.6.7-9.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Build without stack-clash-protection on armel. See #1060104.
+  * Do not build-depend on graphviz on armhf and armel. The package is
+    currently not installable on those arches due to the ongoing t64
+    transition.
+
+ -- Emanuele Rocca <ema@debian.org>  Tue, 19 Mar 2024 11:08:29 +0100
+
 dcmtk (3.6.7-9.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -Nru dcmtk-3.6.7/debian/control dcmtk-3.6.7/debian/control
--- dcmtk-3.6.7/debian/control	2024-02-28 02:17:02.000000000 +0100
+++ dcmtk-3.6.7/debian/control	2024-03-19 11:08:29.000000000 +0100
@@ -16,7 +16,7 @@
                libxml2-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen,
-                     graphviz
+                     graphviz [!armhf !armel]
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/dcmtk
 Vcs-Git: https://salsa.debian.org/med-team/dcmtk.git
diff -Nru dcmtk-3.6.7/debian/rules dcmtk-3.6.7/debian/rules
--- dcmtk-3.6.7/debian/rules	2023-06-22 09:53:48.000000000 +0200
+++ dcmtk-3.6.7/debian/rules	2024-03-19 11:08:29.000000000 +0100
@@ -2,7 +2,12 @@
 #export DH_VERBOSE=1
 
 # export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+ifeq ($(DEB_TARGET_ARCH),armel)
+  # https://lists.debian.org/debian-arm/2024/01/msg00031.html
+  export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-stackclash
+else
+  export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+endif
 
 # needed for the tests
 export DCMDICTPATH=$(CURDIR)/dcmdata/data/dicom.dic
